Index: pl/tcl/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/pl/tcl/Makefile,v
retrieving revision 1.42
diff -c -r1.42 Makefile
*** pl/tcl/Makefile	21 Jan 2004 19:04:11 -0000	1.42
--- pl/tcl/Makefile	12 Sep 2004 16:29:36 -0000
***************
*** 29,35 ****
--- 29,39 ----
  endif
  
  
+ ifneq ($(PORTNAME), win32)
  SHLIB_LINK = $(BE_DLLLIBS) $(TCL_LIB_SPEC) $(TCL_LIBS) -lc
+ else
+ SHLIB_LINK = $(TCL_LIB_SPEC) $(BE_DLLLIBS)
+ endif
  
  NAME = pltcl
  SO_MAJOR_VERSION = 2
Index: pl/tcl/pltcl.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/pl/tcl/pltcl.c,v
retrieving revision 1.91
diff -c -r1.91 pltcl.c
*** pl/tcl/pltcl.c	30 Aug 2004 02:54:42 -0000	1.91
--- pl/tcl/pltcl.c	12 Sep 2004 16:50:18 -0000
***************
*** 225,230 ****
--- 225,235 ----
  	if (pltcl_pm_init_done)
  		return;
  
+ #ifdef WIN32
+ 	/* Required on win32 to prevent error loading init.tcl */
+ 	Tcl_FindExecutable("");
+ #endif
+ 
  	/************************************************************
  	 * Create the dummy hold interpreter to prevent close of
  	 * stdout and stderr on DeleteInterp
Index: include/nodes/nodes.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/nodes/nodes.h,v
retrieving revision 1.160
diff -c -r1.160 nodes.h
*** include/nodes/nodes.h	29 Aug 2004 04:13:07 -0000	1.160
--- include/nodes/nodes.h	12 Sep 2004 16:30:19 -0000
***************
*** 335,341 ****
   *	Fortunately, this macro isn't recursive so we just define
   *	a global variable for this purpose.
   */
! extern Node *newNodeMacroHolder;
  
  #define newNode(size, tag) \
  ( \
--- 335,341 ----
   *	Fortunately, this macro isn't recursive so we just define
   *	a global variable for this purpose.
   */
! extern DLLIMPORT Node *newNodeMacroHolder;
  
  #define newNode(size, tag) \
  ( \
